Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling.domain
Class ReportJobSummary

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.domain.ReportJobSummary

All Implemented Interfaces:
  java.io.Serializable

    public class ReportJobSummary

extends java.lang.Object
implements java.io.Serializable

Version:
  $Id: ReportJobSummary.java 9820 2007-08-29 17:46:14Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`ReportJobSummary()`

Method Summary
`long` | `getId()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getReportUnitURI()`
`ReportJobRuntimeInformation` | `getRuntimeInformation()`
`java.lang.String` | `getUsername()`
`int` | `getVersion()`
`void` | `setId(long id)`
`void` | `setLabel(java.lang.String label)`
`void` | `setReportUnitURI(java.lang.String reportUnitURI)`
`void` | `setRuntimeInformation(ReportJobRuntimeInformation runtimeInformation)`
`void` | `setUsername(java.lang.String username)`
`void` | `setVersion(int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportJobSummary

    public ReportJobSummary()

Method Detail

### getId

    public long getId()

### setId

    public void setId(long id)

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String label)

### getVersion

    public int getVersion()

### setVersion

    public void setVersion(int version)

### getRuntimeInformation

    public ReportJobRuntimeInformation getRuntimeInformation()

### setRuntimeInformation

    public void setRuntimeInformation(ReportJobRuntimeInformation runtimeInformation)

### getUsername

    public java.lang.String getUsername()

### setUsername

    public void setUsername(java.lang.String username)

### getReportUnitURI

    public java.lang.String getReportUnitURI()

### setReportUnitURI

    public void setReportUnitURI(java.lang.String reportUnitURI)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.